Name:          json-path
Version:       0.9.1
Release:       %mkrel 1
Summary:       Java JsonPath implementation
# Some files in src/main/java/com/jayway/jsonassert/impl/matcher/ are licensed under BSD
License:       ASL 2.0 and BSD
Group:         Development/Java
URL:           https://code.google.com/p/json-path/
Source0:       https://github.com/jayway/JsonPath/archive/%{name}-%{version}.tar.gz
# Disable test which fails on java8
Patch0:        %{name}-0.9.1-disable-tests.patch

BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.minidev:json-smart)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: maven-local

BuildArch:     noarch

%description
Java DSL for reading and testing JSON documents.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n JsonPath-%{name}-%{version}

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-dependency-plugin

# use web connection
rm -r json-path/src/test/java/com/jayway/jsonpath/JsonModelTest.java

%patch0 -p1

%build

%mvn_file :%{name} %{name}
%mvn_file :%{name}-assert %{name}-assert
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE README
%dir %{_mavenpomdir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Mon Nov 02 2015 daviddavid <daviddavid> 0.9.1-1.mga5
+ Revision: 897464
- branch json-path for mga5
- imported package json-path


* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 0.9.1-3
- fix license issues during review

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 0.9.1-2
- disable failed tests on java 8

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 0.9.1-1
- initial rpm
